Get a Prospect by ID
https://api.propexo.com/crm/v1/prospects/:prospect_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the prospect
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
786543The external ID of the community from the integration vendor
237891custom_data object | nullrequired
The first name associated with the prospect
JohnThe last name associated with the prospect
DoeThe raw address associated with the prospect
123 Sesame StThe first address line associated with the prospect
This field will always be null for KNOCK
123 Main StThe second address line associated with the prospect
This field will always be null for KNOCK
The city associated with the prospect
TopekaThe state associated with the prospect
KSThe zip code associated with the prospect
42756The primary email address associated with the prospect
[email protected]Primary phone number associated with the prospect
+15555555555Secondary phone number associated with the prospect
This field will always be null for KNOCK
The move-in date associated with the prospect
2025-01-01T00:00:00.000ZThe minimum budget, in cents, of the prospect
130000The maximum budget, in cents, of the prospect
230000The Propexo unique identifier for the community
testintegration:crm:237891The Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe CRM system of record
Show 5 enum values
KNOCKELISEAIFUNNELRENTCAFEKNOCKKNOCKErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/crm/v1/prospects/:prospect_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "786543",
"x_community_id": "237891",
"custom_data": "Unknown Type: object,null",
"first_name": "John",
"last_name": "Doe",
"address_raw": "123 Sesame St",
"address_1": "123 Main St",
"address_2": "string",
"city": "Topeka",
"state": "KS",
"zip": "42756",
"phone_1": "+15555555555",
"phone_2": "string",
"move_in_date": "2025-01-01T00:00:00.000Z",
"minimum_budget_in_cents": 130000,
"maximum_budget_in_cents": 230000,
"community_id": "testintegration:crm:237891",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "KNOCK"
}
}